Subject: [bug#56200] [PATCH v2] gnu: linux-libre: Enable the AMD HSA driver.

From: Leo Famulari <[email-masked]>
Date: Tue, 28 Jun 2022 21:05:24 -0400

On Wed, Jun 29, 2022 at 12:38:56AM +0000, John Kehayias wrote:
> I've attached a v2 of the patch that sets it for all the configurations where the option was listed. Note that a few had it "enabled" with setting it to "m", but I don't think that does anything, per my testing. And looking at the documentation, seems like it should be "y": https://www.kernelconfig.io/config_hsa_amd

I think the changes for our configs before version 5.4 are unnecessary.

I checked out the source code of linux-libre 4.9.316 and copied our 4.9
config and removed the CONFIG_HSA_AMD line.

Then, I did `make oldconfig` within ` guix environment linux-libre
--ad-hoc gcc-toolchain`, and it offered me a choice between N and m for
this option.

So, I think they changed this feature so that it can no longer be a
module in version 4.20. Check the "found in Linux kernels" info here:

https://cateee.net/lkddb/web-lkddb/HSA_AMD.html

I removed the changes to the configs for 4.9, 4.14, and 4.19, and pushed
to a WIP branch for final testing:

https://git.savannah.gnu.org/cgit/guix.git/log/?h=wip-linux-libre-5.18

I'll build kernels for x86_64 on the build farm, so substitutes will be
available for testing after a few hours.